racket (8.16+dfsg1-3ubuntu2) questing; urgency=medium

  * d/p/lp2119666-rktio-add-missing-signal-handler-argument.patch: cherry-pick
    change from upstream to add a missing argument to got_sigchild, which
    fixes FTBFS with GCC 15 (LP: #2119666).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Wed, 06 Aug 2025 09:40:10 -0700

racket (8.16+dfsg1-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2116938).
  * Dropped changes, as they are no longer necessary:
    - d/control: Recommend libgtk2.0-0t64, libpng16-16t64, and libssl3t64
      rather than libgtk2.0-0, libpng16-16, and libssl3.
  * New changes:
    - d/control: recommend libjpeg8-turbo instead of libjpeg62-turbo, as the
      package is named differently in Ubuntu. 
  * Previously undocumented changes:
    - d/.gitignore: drop

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 15 Jul 2025 04:00:30 -0700

racket (8.16+dfsg1-3) unstable; urgency=medium

  * Move (architecture dependent) /etc/racket/config.rktd from package
    racket-common to package racket. (Closes: #1085959).

 -- David Bremner <bremner@debian.org>  Sat, 21 Jun 2025 16:24:05 -0300

racket (8.16+dfsg1-2) unstable; urgency=medium

  * Bug fix: "wrong executable names on armel ('bc'; suffix)",
    thanks to Philip McGrath (Closes: #1105013).

 -- David Bremner <bremner@debian.org>  Sat, 10 May 2025 08:17:02 +0900

racket (8.16+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.16+dfsg1.

 -- David Bremner <bremner@debian.org>  Mon, 17 Mar 2025 20:16:05 -0300

racket (8.14+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.14+dfsg1.

 -- David Bremner <bremner@debian.org>  Thu, 29 Aug 2024 15:54:05 -0700

racket (8.13+dfsg1-2) unstable; urgency=medium

  * Enable PB backend on mips64el. This is now everything on CS but armel,
    which is probably hopeless, so (Closes: #1035343).
  * Upload to unstable.

 -- David Bremner <bremner@debian.org>  Sun, 09 Jun 2024 11:01:36 -0300

racket (8.13+dfsg1-1) experimental; urgency=medium

  * Update to new upstream version 8.13+dfsg1.
  * Drop patch for s390x and arm atomic load (now upstream).

 -- David Bremner <bremner@debian.org>  Tue, 04 Jun 2024 19:50:14 -0300

racket (8.12+dfsg1-10) unstable; urgency=medium

  * Explicitly fail arch-indep build on armel (Closes: #1069549).

 -- David Bremner <bremner@debian.org>  Thu, 16 May 2024 07:17:34 -0300

racket (8.12+dfsg1-9) experimental; urgency=medium

  * Correct types in PB configure parameters
  * Fix bit size for hppa

 -- David Bremner <bremner@debian.org>  Sun, 31 Mar 2024 13:55:19 -0300

racket (8.12+dfsg1-8) experimental; urgency=medium

  * Try portable bytecode backend for ports alpha, hppa, and sh4

 -- David Bremner <bremner@debian.org>  Thu, 28 Mar 2024 06:32:58 -0300

racket (8.12+dfsg1-7ubuntu1) oracular; urgency=medium

  * Merge from Debian.  Remaining changes:
    - Recommend libgtk2.0-0t64, libpng16-16t64, and libssl3t64 rather than
      libgtk2.0-0, libpng16-16, and libssl3.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 15:37:00 +0100

racket (8.12+dfsg1-7) unstable; urgency=medium

  * Modify handling of atomics on arm (32) following a suggestion of
    upstream.
  * Use tpb32b for powerpc (tppc32le is auto-detected, but seems wrong)
  * Use BC backend and disable docs on armel. Revisit if / when memory
    consumption is reduced.

 -- David Bremner <bremner@debian.org>  Mon, 25 Mar 2024 12:03:24 -0300

racket (8.12+dfsg1-6) unstable; urgency=medium

  * Exclude some installed files from compression (fix apparent issue with xref)

 -- David Bremner <bremner@debian.org>  Tue, 19 Mar 2024 15:21:58 -0300

racket (8.12+dfsg1-5) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 17 Mar 2024 11:51:37 -0300

racket (8.12+dfsg1-4) experimental; urgency=medium

  * Cherry pick 40a530935c and 5a6921d from upstream in an attempt to resolve
    big-endian build problems.
  * Switch mips64el to BC backend, as PB backend seems buggy
    (https://github.com/racket/racket/issues/4952)

 -- David Bremner <bremner@debian.org>  Thu, 14 Mar 2024 07:25:40 -0300

racket (8.12+dfsg1-3) experimental; urgency=medium

  * Move release notes back to racket-common (Closes: #1065815).
  * Cherry-pick 9d988ca1 from upstream to support PB mode on s390x
  * Enable PB mode on s390x

 -- David Bremner <bremner@debian.org>  Sun, 10 Mar 2024 14:19:00 -0300

racket (8.12+dfsg1-2) experimental; urgency=medium

  * Enable portable bytecode (PB) backend to fix some builds (notably ppc64el,
    mips64el) where CS backend is not supported.
  * Use BC backend on s390x, as PB currently does not work there
    (https://github.com/racket/racket/issues/4951)

 -- David Bremner <bremner@debian.org>  Sat, 09 Mar 2024 08:35:36 -0400

racket (8.12+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Restart packaging with dh sequencer.

 -- David Bremner <bremner@debian.org>  Fri, 08 Mar 2024 15:41:25 -0400

racket (8.10+dfsg1-2ubuntu1) noble; urgency=medium

  * Recommend libgtk2.0-0t64, libpng16-16t64, and libssl3t64 rather than
    libgtk2.0-0, libpng16-16, and libssl3.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 18:27:41 +0100

racket (8.10+dfsg1-2) unstable; urgency=medium

  * Apply changes from experimental (8.7+dfsg1-2) (Closes: #1034322).

 -- David Bremner <bremner@debian.org>  Sat, 19 Aug 2023 16:28:59 -0300

racket (8.10+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.10+dfsg1.

 -- David Bremner <bremner@debian.org>  Sat, 19 Aug 2023 14:55:07 -0300

racket (8.7+dfsg1-2) experimental; urgency=medium

  * Bug fix: "expeditor input mode for xrepl does not work despite being
    installed", thanks to Benji Dial (Closes: #1034322).

 -- David Bremner <bremner@unb.ca>  Mon, 15 May 2023 21:58:02 -0400

racket (8.7+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 8.7+dfsg1.
  * Drop patch 261948f, now upstream

 -- David Bremner <bremner@debian.org>  Thu, 17 Nov 2022 06:40:55 -0400

racket (8.6+dfsg1-2) unstable; urgency=medium

  * Cherry pick upstream commit 261948f02a062728faa5b625e8d765b4fdaf7e16
  * Restore previous building of documentation only for arch all builds.

 -- David Bremner <bremner@debian.org>  Tue, 30 Aug 2022 22:07:54 -0700

racket (8.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Move man pages to racket-common

 -- David Bremner <bremner@debian.org>  Thu, 25 Aug 2022 06:43:45 -0700

racket (8.5+dfsg1-1) unstable; urgency=medium

  * Bug fix: "should no longer recommend libssl1.1", thanks to Vincent
    Lefevre (Closes: #1012733).
  * Remove dubious files (as defined by zlib source package) from embedded
    zlib.

 -- David Bremner <bremner@debian.org>  Mon, 13 Jun 2022 08:29:09 -0300

racket (8.5-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 08 Jun 2022 11:35:40 -0300

racket (8.4-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS building for armel,armhf on arm64", thanks to Steve
    McIntyre (Closes: #917794); not found with new Chez Scheme backend.
  * Bug fix: "please clean up mentions of plt-scheme" (Closes: #930533).

 -- David Bremner <bremner@debian.org>  Sun, 20 Feb 2022 22:30:20 -0400

racket (8.2+dfsg1-2) unstable; urgency=medium

  * Re-upload to unstable.
  * Bug fix: "build with -O2 to avoid misbuild with CFLAGS=-O3", thanks to
    Steve Langasek (Closes: #935930).

 -- David Bremner <bremner@debian.org>  Mon, 13 Sep 2021 20:48:34 -0300

racket (8.2+dfsg1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Tue, 20 Jul 2021 11:05:19 -0300

racket (8.0+dfsg1-4) experimental; urgency=medium

  * Bug fix: "missing Breaks+Replaces: racket-common (<< 8)", thanks
    to Andreas Beckmann (Closes: #986874).
  * Drop Breaks/Depends on plt-scheme (package not in oldstable)
  * Drop provides of plt-scheme.

 -- David Bremner <bremner@debian.org>  Tue, 13 Apr 2021 08:25:15 -0300

racket (8.0+dfsg1-3) experimental; urgency=medium

  * Use bc backend for all except amd64, arm64, armhf, i386 (enable some
    ports)

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 18:00:08 -0300

racket (8.0+dfsg1-2) experimental; urgency=medium

  * Use bc backend on armel, mips64el, mipsel, ppc64el, and s390x
  * Don't pass --noopt to configure by default

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 13:03:07 -0300

racket (8.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Build with Chez Scheme backend
  * update debian/copyright for Chez Scheme bundle

 -- David Bremner <bremner@debian.org>  Sat, 10 Apr 2021 08:18:48 -0300

racket (7.9+dfsg1-2) unstable; urgency=medium

  * Bug fix: "CVE-2021-32773", thanks to Moritz Mühlenhoff (Closes:
    #991327). Backport commit aa2e814a02 from racket 8.2. See also
    https://github.com/racket/racket/issues/3923

 -- David Bremner <bremner@debian.org>  Sat, 24 Jul 2021 11:13:09 -0300

racket (7.9+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Adjust include path in racket-arch.c (thanks to Asumu Takikawa)

 -- David Bremner <bremner@debian.org>  Tue, 08 Dec 2020 20:47:19 -0400

racket (7.8+dfsg1-1) unstable; urgency=medium

  * Update to new upstream version 7.8+dfsg1.

 -- David Bremner <bremner@debian.org>  Mon, 03 Aug 2020 16:48:09 -0300

racket (7.6+dfsg1-3) unstable; urgency=medium

  * Restore upstream commit 17bc6262938f, try a different armhf gmp fix
    from Paulo Matos (upstream commit 392dc33ce)

 -- David Bremner <bremner@debian.org>  Wed, 22 Apr 2020 11:27:27 -0300

racket (7.6+dfsg1-2) unstable; urgency=medium

  * Revert upstream commit 17bc6262938f (Closes: #948789). This might or
    might not re-introduce numerical problems on armhf
    (https://github.com/racket/racket/issues/2773). Reports welcome.
  * Switch to debrebase and (hopefully dgit) for maintenence.

 -- David Bremner <bremner@debian.org>  Wed, 15 Apr 2020 18:56:52 -0300

racket (7.6+dfsg1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Patch from Asumu to enable useprefix (needed for 7.6)

 -- David Bremner <bremner@debian.org>  Fri, 13 Mar 2020 20:58:28 -0300

racket (7.5+dfsg2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop openssl patch, upstream now recognizes 1.0.2

 -- David Bremner <bremner@debian.org>  Mon, 30 Dec 2019 17:47:51 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog racket-common`.
